# Host name or IP address to bind to.
# If you want to bind to all interface, use 0.0.0.0
# Default: 127.0.0.1
ServerHost=0.0.0.0

# TCP port on which to listen. Default: 8080
ServerPort=8080

# Define logging level. (ERROR, WARNING, INFO, DEBUG) Default: INFO
LogLevel=INFO

# Define where log stuff. Default to console.
#LogFile=/var/log/rdiffweb.log
#LogAccessFile=/var/log/rdiffweb-access.log

# Define the kind of environment where rdiffweb is running. Depending of this
# configuration, behaviours related to exception handling are different. In
# "development" environment, stacktrace might be shown. In "production"
# environment those are hidden to user.
Environment=production

# Customizing rdiffweb
#FavIcon=/etc/rdiffweb/favicon.ico
#HeaderLogo=/etc/rdiffweb/logo.jpg
#HeaderName=rdiffweb
#WelcomeMsg=
#WelcomeMsg[fr]=
#WelcomeMsg[ru]=
# Define the color scheme. Option: default, orange.
#DefaultTheme=orange

# Temporary location where rdiffweb should restore your data and create
# archive if necessary to restore. This configuration parameter may be useful
# when your /tmp folder is very small. 
#tempdir=/tmp

# The time of day when notification emails are sent out. (Default: 23:00).
#EmailNotificationTime=23:00 

# The SMTP server name (Required).
#EmailHost=smtp.server.com

# Encryption to be use if Any. Option: ssl or starttls (Default: none).
#EmailEncryption=none

# Define the 'From:' (Required)
#EmailSender=john@doe.com

# May be blank, if the smtp server does not require authentication
#EmailUsername=email_user

# May be blank, if the smtp server does not require authentication
#EmailPassword=email_password

# Send confirmation mail if user changed his email address.
#EmailSendChangedNotification=true

# Update user repositories every 15 minutes
# AutoUpdateRepos=15

# If the user/password are valid (found in LDAP) create the user
# in the database. Default: false
#AddMissingUser=false

#----- Enable Sqlite DB Authentication.
#SQLiteDBFile=/etc/rdiffweb/rdw.db

#----- Enable LDAP Authentication
# The uri parameter may be a comma- or whitespace-separated list of URIs
# containing only the schema, the host, and the port fields.
#LdapUri=ldap://localhost:389

# An aditional Ldap query filter to limit the search
#LdapFilter=(objectClass=posixAccount)

# This directive specifies an LDAP group whose members are allowed access. It
# takes the distinguished name of the LDAP group.
#LdapRequiredGroup=cn=Administrators,dc=nodomain

# Set to true to enable TLS (optional, default:false)
#LdapTls=true

# The DN of the branch of the directory where all searches should start from. 
#LdapBaseDn=dc=nodomain

# An optional DN used to bind to the server when searching for entries. If not
# provided, will use an anonymous bind.
#LdapBindDn=cn=admin,dc=nodomain

# A bind password to use in conjunction with the bind DN. Note that the bind
# password is probably sensitive data, and should be properly protected. You
# should only use the LdapBindDn and LdapBindPassword if you absolutely
# need them to search the directory.
#LdapBindPassword=my_secret

# Limit on waiting for a network response, in seconds. (default:10)
#LdapNetworkTimeout=10

# Limit on waiting for any response, in seconds.
#LdapTimeout=300

# Version of LDAP in use either 2 or 3.
#LdapProtocolVersion=2
#LdapProtocolVersion=3

# When set to True, allow LDAP users to update their password using rdiffweb
# web interface. Otherwise, LDAP users cannot update their password.
#LdapAllowPasswordChange=true

# Enable verification of ShadowExpire.
#LdapCheckShadowExpire=true
